.main-content {
    padding: 2rem 1rem;
}

.albums-container {
    display: flex;
    flex-wrap: wrap;
}
.album {
    width: 270px;
    margin: 0 1rem 1rem;
    height: 300px;
    text-align: center;
    background-color: white;
    display: flex;
    /*justify-content: center;*/
    flex-direction: column;
    border: 2px solid #f18e99;
    position: relative;
}
 .album-body {
    height: 100%;
    overflow: hidden;
}
.album-body img {
    height: 100%;
    width: 100%;

}
.details {
    position: absolute;
    bottom: 0;
    color: white;
    background: black;
    right: 0;
}
.details i{
    margin: 10px;
    float: right;


}
.album .album-title {
    /* Permalink - use to edit and share this gradient: https://colorzilla.com/gradient-editor/#efc5ca+0,d24b5a+50,ba2737+51,f18e99+100;Red+Gloss+%233 */
    background: #efc5ca; /* Old browsers */
    background: -moz-linear-gradient(-45deg,  #efc5ca 0%, #d24b5a 50%, #ba2737 51%, #f18e99 100%); /* FF3.6-15 */
    background: -webkit-linear-gradient(-45deg,  #efc5ca 0%,#d24b5a 50%,#ba2737 51%,#f18e99 100%); /* Chrome10-25,Safari5.1-6 */
    background: linear-gradient(135deg,  #efc5ca 0%,#d24b5a 50%,#ba2737 51%,#f18e99 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#efc5ca', endColorstr='#f18e99',GradientType=1 ); /* IE6-9 fallback on horizontal gradient */
}
.album a {
    color: white;
    font-size: large;
    text-transform: uppercase;
}
.album-images {
    display: flex;
    justify-content: center;
    flex-direction: column;
    height: 100%;
    font-size: larger;
    color: #f18e99;
}


.album-modal {
    position: absolute;
    top: calc(50% - 150px);
    left: calc(50% - 250px);
    z-index: 1000;
    width: 500px;
    background-color: rgba(0, 0, 0, 0.65);
    height: 300px;
    color: white;
    display: none;
}
.album-modal .album-modal-body {
    flex-direction: column;
    justify-content: center;
    align-items: center;
    display: flex;
    position: relative;
    transition: 0.5s;
    height: 100%;
    width: 100%;
}
#closeModal {
    position: absolute;
    top: 10px;
    right: 10px;
}

.album-modal.visible {
    display: block;
}


body.modal-opened .main-content{
    opacity: 0.5;
    filter: blur(0.1rem);
}








